
QGIS Application - Bug report #8750

Vectors draws partially in some scales, not at all in others...

2013-10-02 11:17 AM - Klas Karlsson

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17461

Description

Tested with several shapefiles. In small scale it seams to work fine, but as I zoom in the data disappears partially (geographic not screen

position) and eventually disappears completely.

(see attached screen capture)

When panning, hidden data may reappear and visible data disappear. There are some form of pattern to it but I haven't been able to

identify it.

It may be related to a plug-in, but I can not eliminate the error by un-installing all of them, and when I try on a clean 13.04 Ubuntu it works

fine but on my 12.04 not so much (have not tested on other platforms).

Raster data works fine but vectors don't (second image). I've only tested with *.shp and *.gpx.

I've tried with different projections and more or less all I can think of. If you suggest it I will try complete un-install and start over.

The problem started when updating to Dufour.

When I find the time I'll try it on other OS as well, and right now I'm not convinced it actually is a "Bug", but it certainly is annoying.

History

#1 - 2013-10-02 11:28 AM - Klas Karlsson

When data is missing it is only in the top and/or right part of the map window. Never bottom or left!

#2 - 2013-10-02 12:12 PM - Jukka Rahkonen

For eliminating one possibility I would delete and recreate the .qix index. However, I do not really believe it will help because you are also having troubles

with .gpx.

#3 - 2013-10-02 12:34 PM - Klas Karlsson

Nope! Tried deleting the index file and rebuilding it, no luck!

Most files do not have a .gix file anyway but I've tried building them, removing and re-building...

#4 - 2013-10-04 12:24 PM - Klas Karlsson

I just made a complete uninstall, tried to removed all qgis related files and folders, re-booted and tried a fresh QGIS install.
It didn't help. Same problem.

#5 - 2013-10-05 06:59 AM - Klas Karlsson

- File 53.png added

Found a pattern!

Data is cut at whole degree intervals...

Only data that are less than the degree part of the coordinate at the top right corner are displayed.

If (in my case) the coordinate 16 deg East and 58 deg North lies just outside top right corner, no data located north or east of 15 East and 57 North are

displayed.

Attached image screen dump.

#6 - 2013-10-06 03:33 AM - Klas Karlsson

- Status changed from Open to Closed

Not sure if this was the actual fix, but...

When trying to add the QGIS-grass-plugin I ran into problems. Removing and re-installing grass (apt-get purge grass / apt-get install grass) worked for

that, and...

Vector data started to act as it should do!

From my point of view the issue is "closed".
